WordPress WordPress Users Plugin “uid” SQL befecskendezéses sérülékenység

CH azonosító

CH-5766

Angol cím

WordPress WordPress Users Plugin "uid" SQL Injection Vulnerability

Felfedezés dátuma

2011.10.16.

Súlyosság

Közepes

Érintett rendszerek

Users plugin
WordPress

Érintett verziók

WordPress WordPress Users Plugin 1.x

Összefoglaló

A WordPress WordPress Users bővítményének olyan sérülékenységét fedezték fel, amelyet a támadók kihasználhatnak SQL befecskendezéses (SQL injection) támadások indítására.

Leírás

Az “uid” paraméteren keresztül az index.php részére átadott bemeneti adat nincs megfelelően ellenőrizve (ha a “p” beállított értéke a felhasználói könyvtárat megjelenítő oldal azonosítója), mielőtt az SQL lekérdezésekben felhasználnák azt. Ez kihasználható az SQL lekérdezések megváltoztatására tetszőleges SQL kód befecskendezésével.

A sérülékenységet az 1.3 verzióban jelentették. Korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra